2018-05-25 10:10 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002162OpenFOAM[All Projects] Bugpublic2018-02-07 11:08
Reporterjkau 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version14.04
Product Version4.x 
Target VersionFixed in Version4.x 
Summary0002162: Wrong behaviour of interDyMFoam with dynamic Mesh
DescriptionSince version 4.0 interDyMFoam seems to do wrong in combination with dynamicMesh cases. I compared floatingObject tutorial with 3.0.x, results are very different. Both the motion and the free surface elevation. Results of interFoam solvers in 3.0.x and 4.x are the same. interDyMFoam with staticFvMesh agrees with interFoam, therefore it seems to be linked to dynamicFvMesh. (see attached snapshots from first timesteps of floatingObject simulations)

Also interesting: For the DTCHull tutorial, when running in PISO-Mode (nOuter=1) the solvers give same results in Version 3.0.x and 4.x
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006577

henry (manager)

In OpenFOAM-4.x the floatingObject case is setup to demonstrate the new n-DoF motion solver. In the constant directory you will see dynamicMeshDict and dynamicMeshDict.sixDoF, if you

mv dynamicMeshDict.sixDoF dynamicMeshDict

then it will run the same setup as OpenFOAM-3.0.x

~0006578

jkau (reporter)

Last edited: 2016-07-28 15:02

View 2 revisions

If have done simulations with both, new n-DoF motion solver and old sixDoFRigidBodyMotion solver in 4.x. They both deliver almost same results, but differ to results from 3.0.x., see attached graph of linear velocity vs time.
Therefore I am quite sure, it is not linked to the sixDoF implementation.

~0006581

jkau (reporter)

Last edited: 2016-07-29 15:59

View 4 revisions

After some more investigation of the floatingObject tutorial, it seems the differences are due to the Crank-Nicolson time integration.
With offcentering 0, i.e. pure Euler the results of OpenFOAM-3.0.x and OpenFOAM-4.x are absolutely identical, but differs strongly when using Crank-Nicolson 0.9 (default in tutorial). See attached plot floatingObject_eulerCN.gif

Maybe phi.oldTime() is not working as it should?

~0006582

henry (manager)

Thanks for your effort and detailed analysis. I have now found the issue and testing a fix. I will push the update to OpenFOAM-4.x and OpenFOAM-dev shortly.

~0006583

henry (manager)

Resolved in OpenFOAM-dev by commit aa7b3dfe7dfc02ce104a7cf9c5b0b5b49c3f31df
Resolved in OpenFOAM-4.x by commit 62dd439d9cbf20aa50a11ab035818eecc95d6c61

Please reopen if you see further problems.
+Notes

-Issue History
Date Modified Username Field Change
2016-07-28 14:03 jkau New Issue
2016-07-28 14:03 jkau File Added: floatingObject.pdf
2016-07-28 14:43 henry Note Added: 0006577
2016-07-28 14:44 henry Severity major => minor
2016-07-28 14:59 jkau File Added: floatingObject.gif
2016-07-28 15:01 jkau Note Added: 0006578
2016-07-28 15:02 jkau Note Edited: 0006578 View Revisions
2016-07-29 15:04 jkau Note Added: 0006581
2016-07-29 15:05 jkau File Added: floatingObject_eulerCN.gif
2016-07-29 15:05 jkau Note Edited: 0006581 View Revisions
2016-07-29 15:07 jkau Note Edited: 0006581 View Revisions
2016-07-29 15:59 jkau Note Edited: 0006581 View Revisions
2016-07-29 16:35 henry Note Added: 0006582
2016-07-29 17:55 henry Note Added: 0006583
2016-07-29 17:55 henry Status new => resolved
2016-07-29 17:55 henry Fixed in Version => 4.x
2016-07-29 17:55 henry Resolution open => fixed
2016-07-29 17:55 henry Assigned To => henry
+Issue History